#include "support.h"

typedef struct {
  int size;
  double lambda;
  double c;
  double *eig_vals; /* Eigenvalues */
  double *coeffs;   /* Logarithms of the coefficients (orig. ln(a_i*(1'phi_i))) */
  char *signs;      /* Signs of the coefficients */
} AMS;

AMS *initAMS(int, double, double);
double GAMS(AMS *, double);
double EvAMS(AMS *);
void freeAMS(AMS *);

double decrinv(AMS *, double (*)(AMS *, double), double, double);
double GAMSinv(AMS *, double, double);

